# Uses of Class
org.eclipse.ui.console.TextConsoleViewer

Packages that use TextConsoleViewer
Package
Description
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of TextConsoleViewer in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return TextConsoleViewer
Modifier and Type
Method
Description
`protected TextConsoleViewer`
TextConsolePage.`createViewer(Composite parent)`
Returns a viewer used to display the contents of this page's console.
`TextConsoleViewer`
TextConsolePage.`getViewer()`
Returns the viewer contained in this page.
Methods in org.eclipse.ui.console with parameters of type TextConsoleViewer
Modifier and Type
Method
Description
`void`
TextConsolePage.`setViewer(TextConsoleViewer viewer)`
Sets the viewer contained in this page.